libepubgen::EPUBHTMLGeneratorImpl Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
libepubgen::EPUBHTMLGeneratorImpl Struct Reference

the internal state of a html document generator More...

## Public Member Functions
| EPUBHTMLGeneratorImpl (EPUBXMLSink &document, EPUBImageManager &imageManager, EPUBListStyleManager &listStyleManager, EPUBParagraphStyleManager &paragraphStyleManager, EPUBSpanStyleManager &spanStyleManager, EPUBTableStyleManager &tableStyleManager, const EPUBPath &path, const EPUBPath &stylesheetPath)
| constructor More...
| ~EPUBHTMLGeneratorImpl ()
| destructor More...
EPUBXMLSink & | output (bool sendDelayed=true)
| returns the actual output ( sending delayed data if needed) More...
TextZoneSink & | getSink ()
| returns the actual sink More...
void | push (EPUBHTMLTextZone::Type type)
void | pop ()
void | sendMetaData (EPUBXMLSink &out)
void | flushUnsent (EPUBXMLSink &out)

## Public Attributes
EPUBXMLSink & | m_document
EPUBImageManager & | m_imageManager
EPUBListStyleManager & | m_listManager
EPUBParagraphStyleManager & | m_paragraphManager
EPUBSpanStyleManager & | m_spanManager
EPUBTableStyleManager & | m_tableManager
const EPUBPath | m_path
const EPUBPath | m_stylesheetPath
int | m_actualPage
bool | m_ignore

## Protected Attributes
TextZoneSink * | m_actualSink
std::vector< TextZoneSink * > | m_sinkStack
EPUBHTMLTextZone | m_zones [EPUBHTMLTextZone::Z_NumZones]

## Private Member Functions
| EPUBHTMLGeneratorImpl (EPUBHTMLGeneratorImpl const &orig)
EPUBHTMLGeneratorImpl | operator= (EPUBHTMLGeneratorImpl const &orig)

## Detailed Description

the internal state of a html document generator

## Constructor & Destructor Documentation

libepubgen::EPUBHTMLGeneratorImpl::EPUBHTMLGeneratorImpl | ( | EPUBXMLSink & | document,
|  | EPUBImageManager & | imageManager,
|  | EPUBListStyleManager & | listStyleManager,
|  | EPUBParagraphStyleManager & | paragraphStyleManager,
|  | EPUBSpanStyleManager & | spanStyleManager,
|  | EPUBTableStyleManager & | tableStyleManager,
|  | const EPUBPath & | path,
|  | const EPUBPath & | stylesheetPath
| ) |  |
| inline

constructor

libepubgen::EPUBHTMLGeneratorImpl::~EPUBHTMLGeneratorImpl | ( |  | ) |
| inline

destructor

libepubgen::EPUBHTMLGeneratorImpl::EPUBHTMLGeneratorImpl | ( | EPUBHTMLGeneratorImpl const & | orig | ) |
| private

## Member Function Documentation

void libepubgen::EPUBHTMLGeneratorImpl::flushUnsent | ( | EPUBXMLSink & | out | ) |
| inline

Referenced by libepubgen::EPUBHTMLGenerator::endDocument().

TextZoneSink& libepubgen::EPUBHTMLGeneratorImpl::getSink | ( |  | ) |
| inline

returns the actual sink

Referenced by libepubgen::EPUBHTMLGenerator::openComment(), libepubgen::EPUBHTMLGenerator::openEndnote(), libepubgen::EPUBHTMLGenerator::openFootnote(), and libepubgen::EPUBHTMLGenerator::openTextBox().

EPUBHTMLGeneratorImpl libepubgen::EPUBHTMLGeneratorImpl::operator= | ( | EPUBHTMLGeneratorImpl const & | orig | ) |
| private

EPUBXMLSink& libepubgen::EPUBHTMLGeneratorImpl::output | ( | bool | sendDelayed = `true` | ) |
| inline

returns the actual output ( sending delayed data if needed)

Referenced by libepubgen::EPUBHTMLGenerator::closeLink(), libepubgen::EPUBHTMLGenerator::closeListElement(), libepubgen::EPUBHTMLGenerator::closeOrderedListLevel(), libepubgen::EPUBHTMLGenerator::closeParagraph(), libepubgen::EPUBHTMLGenerator::closeSpan(), libepubgen::EPUBHTMLGenerator::closeTable(), libepubgen::EPUBHTMLGenerator::closeTableCell(), libepubgen::EPUBHTMLGenerator::closeTableRow(), libepubgen::EPUBHTMLGenerator::closeUnorderedListLevel(), libepubgen::EPUBHTMLGenerator::insertBinaryObject(), libepubgen::EPUBHTMLGenerator::insertField(), libepubgen::EPUBHTMLGenerator::insertLineBreak(), libepubgen::EPUBHTMLGenerator::insertSpace(), libepubgen::EPUBHTMLGenerator::insertTab(), libepubgen::EPUBHTMLGenerator::insertText(), libepubgen::EPUBHTMLGenerator::openComment(), libepubgen::EPUBHTMLGenerator::openEndnote(), libepubgen::EPUBHTMLGenerator::openFootnote(), libepubgen::EPUBHTMLGenerator::openLink(), libepubgen::EPUBHTMLGenerator::openListElement(), libepubgen::EPUBHTMLGenerator::openOrderedListLevel(), libepubgen::EPUBHTMLGenerator::openParagraph(), libepubgen::EPUBHTMLGenerator::openSpan(), libepubgen::EPUBHTMLGenerator::openTable(), libepubgen::EPUBHTMLGenerator::openTableCell(), libepubgen::EPUBHTMLGenerator::openTableRow(), libepubgen::EPUBHTMLGenerator::openTextBox(), libepubgen::EPUBHTMLGenerator::openUnorderedListLevel(), and libepubgen::EPUBHTMLGenerator::setDocumentMetaData().

void libepubgen::EPUBHTMLGeneratorImpl::pop | ( |  | ) |
| inline

Referenced by libepubgen::EPUBHTMLGenerator::closeComment(), libepubgen::EPUBHTMLGenerator::closeEndnote(), libepubgen::EPUBHTMLGenerator::closeFootnote(), libepubgen::EPUBHTMLGenerator::closeTextBox(), and libepubgen::EPUBHTMLGenerator::setDocumentMetaData().

void libepubgen::EPUBHTMLGeneratorImpl::push | ( | EPUBHTMLTextZone::Type | type | ) |
| inline

Referenced by libepubgen::EPUBHTMLGenerator::openComment(), libepubgen::EPUBHTMLGenerator::openEndnote(), libepubgen::EPUBHTMLGenerator::openFootnote(), libepubgen::EPUBHTMLGenerator::openTextBox(), and libepubgen::EPUBHTMLGenerator::setDocumentMetaData().

void libepubgen::EPUBHTMLGeneratorImpl::sendMetaData | ( | EPUBXMLSink & | out | ) |
| inline

Referenced by libepubgen::EPUBHTMLGenerator::endDocument().

## Member Data Documentation

int libepubgen::EPUBHTMLGeneratorImpl::m_actualPage

Referenced by libepubgen::EPUBHTMLGenerator::openPageSpan().

TextZoneSink* libepubgen::EPUBHTMLGeneratorImpl::m_actualSink
| protected

EPUBXMLSink& libepubgen::EPUBHTMLGeneratorImpl::m_document

Referenced by libepubgen::EPUBHTMLGenerator::endDocument().

bool libepubgen::EPUBHTMLGeneratorImpl::m_ignore

Referenced by libepubgen::EPUBHTMLGenerator::closeComment(), libepubgen::EPUBHTMLGenerator::closeEndnote(), libepubgen::EPUBHTMLGenerator::closeFooter(), libepubgen::EPUBHTMLGenerator::closeFootnote(), libepubgen::EPUBHTMLGenerator::closeHeader(), libepubgen::EPUBHTMLGenerator::closeLink(), libepubgen::EPUBHTMLGenerator::closeListElement(), libepubgen::EPUBHTMLGenerator::closeOrderedListLevel(), libepubgen::EPUBHTMLGenerator::closeParagraph(), libepubgen::EPUBHTMLGenerator::closeSpan(), libepubgen::EPUBHTMLGenerator::closeTable(), libepubgen::EPUBHTMLGenerator::closeTableCell(), libepubgen::EPUBHTMLGenerator::closeTableRow(), libepubgen::EPUBHTMLGenerator::closeTextBox(), libepubgen::EPUBHTMLGenerator::closeUnorderedListLevel(), libepubgen::EPUBHTMLGenerator::insertField(), libepubgen::EPUBHTMLGenerator::insertLineBreak(), libepubgen::EPUBHTMLGenerator::insertSpace(), libepubgen::EPUBHTMLGenerator::insertTab(), libepubgen::EPUBHTMLGenerator::insertText(), libepubgen::EPUBHTMLGenerator::openComment(), libepubgen::EPUBHTMLGenerator::openEndnote(), libepubgen::EPUBHTMLGenerator::openFooter(), libepubgen::EPUBHTMLGenerator::openFootnote(), libepubgen::EPUBHTMLGenerator::openHeader(), libepubgen::EPUBHTMLGenerator::openLink(), libepubgen::EPUBHTMLGenerator::openListElement(), libepubgen::EPUBHTMLGenerator::openOrderedListLevel(), libepubgen::EPUBHTMLGenerator::openParagraph(), libepubgen::EPUBHTMLGenerator::openSpan(), libepubgen::EPUBHTMLGenerator::openTable(), libepubgen::EPUBHTMLGenerator::openTableCell(), libepubgen::EPUBHTMLGenerator::openTableRow(), libepubgen::EPUBHTMLGenerator::openTextBox(), and libepubgen::EPUBHTMLGenerator::openUnorderedListLevel().

EPUBImageManager& libepubgen::EPUBHTMLGeneratorImpl::m_imageManager

Referenced by libepubgen::EPUBHTMLGenerator::insertBinaryObject().

EPUBListStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_listManager

Referenced by libepubgen::EPUBHTMLGenerator::closeOrderedListLevel(), libepubgen::EPUBHTMLGenerator::closeUnorderedListLevel(), libepubgen::EPUBHTMLGenerator::openListElement(), libepubgen::EPUBHTMLGenerator::openOrderedListLevel(), and libepubgen::EPUBHTMLGenerator::openUnorderedListLevel().

EPUBParagraphStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_paragraphManager

Referenced by libepubgen::EPUBHTMLGenerator::defineParagraphStyle(), and libepubgen::EPUBHTMLGenerator::openParagraph().

const EPUBPath libepubgen::EPUBHTMLGeneratorImpl::m_path

Referenced by libepubgen::EPUBHTMLGenerator::endDocument(), and libepubgen::EPUBHTMLGenerator::insertBinaryObject().

std::vector<TextZoneSink *> libepubgen::EPUBHTMLGeneratorImpl::m_sinkStack
| protected

EPUBSpanStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_spanManager

Referenced by libepubgen::EPUBHTMLGenerator::defineCharacterStyle(), and libepubgen::EPUBHTMLGenerator::openSpan().

const EPUBPath libepubgen::EPUBHTMLGeneratorImpl::m_stylesheetPath

Referenced by libepubgen::EPUBHTMLGenerator::endDocument().

EPUBTableStyleManager& libepubgen::EPUBHTMLGeneratorImpl::m_tableManager

Referenced by libepubgen::EPUBHTMLGenerator::closeTable(), libepubgen::EPUBHTMLGenerator::openTable(), libepubgen::EPUBHTMLGenerator::openTableCell(), and libepubgen::EPUBHTMLGenerator::openTableRow().

EPUBHTMLTextZone libepubgen::EPUBHTMLGeneratorImpl::m_zones[EPUBHTMLTextZone::Z_NumZones]
| protected

The documentation for this struct was generated from the following file:

- EPUBHTMLGenerator.cpp